/*****************************************************************************

	tar.h - source code for the boushi command line tool

	Copyright (c) 2010  Wessel Dankers <wsl@fruit.je>

	This file is part of boushi.

	boushi is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.

	boushi is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU General Public License
	and a copy of the GNU Lesser General Public License along with
	boushi.  If not, see <http://www.gnu.org/licenses/>.

*****************************************************************************/

#ifndef _BOUSHI_TAR_H
#define _BOUSHI_TAR_H

#include <stdbool.h>
#include <sys/types.h>

typedef bool (*tar_func_t)(void *, const char *name, const void *buf, size_t len);
extern bool tar_read(int fd, tar_func_t func, void *data);
extern bool tar_write(int fd, const char *name, const void *data, size_t size);
extern bool tar_end(int fd);

#endif
